Package com.xebialabs.xlrelease.repository

# Class Ids

java.lang.Object
com.xebialabs.xlrelease.repository.Ids

public class Ids extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTACHMENT_PREFIX`
  `static final String`
  `CALENDAR_ROOT`
  `static final String`
  `CHILD_LOCAL_FOLDER`
  `static final String`
  `CONFIGURATION_PREFIX`
  `static final String`
  `CUSTOM_CONFIGURATION_ROOT`
  `static final String`
  `DELIVERIES_ROOT`
  `static final String`
  `DELIVERY_PREFIX`
  `static final String`
  `DEPENDENCY_PREFIX`
  `static final String`
  `FOLDER_PREFIX`
  `static final String`
  `LOCAL_FOLDER`
  `static final String`
  `MAIL_CONFIGURATION_ROOT`
  `static final String`
  `PHASE_PREFIX`
  `static final String`
  `RELEASE_PREFIX`
  `static final String`
  `RISK_PROFILE_CONFIGURATION_ROOT`
  `static final String`
  `ROOT_FOLDER_ID`
  `static final String`
  `SEPARATOR`
  `static final String`
  `TASK_PREFIX`
  `static final String`
  `TEAM_PREFIX`
  `static final String`
  `TRIGGER_PREFIX`
  `static final String`
  `VALUE_PROVIDER_SUFFIX`
  `static final String`
  `VARIABLE_PREFIX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `deliveryIdFrom(String id)`
  `static String`
  `findCommonParent(String id1, String id2)`
  `static String`
  `findFolderId(String id)`
  `static String`
  `findInAncestry(String id, String prefix)`
  `static String`
  `formatWithFolderId(String folderId, String containerId)`
  `static String`
  `getFolderlessId(String id)`
  `static String`
  `getFullTaskName(String id)`
  `static String`
  `getName(String id)`
  Given Application/Release01/Phase01, returns Phase01
  `static String`
  `getParentId(String id)`
  `static String`
  `getReleaselessChildId(String childId)`
  `static String`
  `getTopLevelTaskId(String id)`
  `static boolean`
  `hasReleaseId(String id)`
  `static boolean`
  `isApplicationId(String id)`
  `static boolean`
  `isAttachmentId(String id)`
  `static boolean`
  `isCalendarId(String id)`
  `static boolean`
  `isConfigurationId(String id)`
  `static boolean`
  `isCustomConfigurationId(String id)`
  `static boolean`
  `isDashboardId(String id)`
  `static boolean`
  `isDeliveryId(String id)`
  `static boolean`
  `isDependencyId(String id)`
  `static boolean`
  `isDomainId(String id)`
  `static boolean`
  `isEnvironmentId(String id)`
  `static boolean`
  `isEnvironmentLabelId(String id)`
  `static boolean`
  `isEnvironmentStageId(String id)`
  `static boolean`
  `isFacetId(String id)`
  `static boolean`
  `isFolderId(String id)`
  `static boolean`
  `isInFolder(String id)`
  `static boolean`
  `isInRelease(String id)`
  `static boolean`
  `isInRootFolder(String id)`
  `static boolean`
  `isNullId(String id)`
  `static boolean`
  `isPhaseId(String id)`
  `static boolean`
  `isPlanItemId(String id)`
  `static boolean`
  `isReleaseId(String id)`
  `static boolean`
  `isRoot(String id)`
  `static boolean`
  `isStageId(String id)`
  `static boolean`
  `isTaskId(String id)`
  `static boolean`
  `isTeamId(String id)`
  `static boolean`
  `isTriggerId(String id)`
  `static boolean`
  `isValueProviderId(String id)`
  `static boolean`
  `isVariableId(String id)`
  `static String`
  `normalizeId(String id)`
  `static String`
  `phaseIdFrom(String id)`
  `static String`
  `relativePathFrom(String fromPath, String fullPath)`
  `static String`
  `releaseActorId(String releaseId)`
  `static String`
  `releaseIdFrom(String id)`
  `static String`
  `releasePathInRootFolder(String releaseId)`
  `static String`
  `taskIdFrom(String id)`
  `static String`
  `toDomainId(String id)`
  `static String`
  `triggerIdFrom(String id)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ROOT_FOLDER_ID

    public static final String ROOT_FOLDER_ID

  - ### LOCAL_FOLDER

    public static final String LOCAL_FOLDER
    See Also:
      - Constant Field Values

  - ### CHILD_LOCAL_FOLDER

    public static final String CHILD_LOCAL_FOLDER
    See Also:
      - Constant Field Values

  - ### SEPARATOR

    public static final String SEPARATOR
    See Also:
      - Constant Field Values

  - ### RELEASE_PREFIX

    public static final String RELEASE_PREFIX
    See Also:
      - Constant Field Values

  - ### TRIGGER_PREFIX

    public static final String TRIGGER_PREFIX
    See Also:
      - Constant Field Values

  - ### PHASE_PREFIX

    public static final String PHASE_PREFIX
    See Also:
      - Constant Field Values

  - ### TASK_PREFIX

    public static final String TASK_PREFIX
    See Also:
      - Constant Field Values

  - ### VARIABLE_PREFIX

    public static final String VARIABLE_PREFIX
    See Also:
      - Constant Field Values

  - ### CONFIGURATION_PREFIX

    public static final String CONFIGURATION_PREFIX
    See Also:
      - Constant Field Values

  - ### VALUE_PROVIDER_SUFFIX

    public static final String VALUE_PROVIDER_SUFFIX
    See Also:
      - Constant Field Values

  - ### DEPENDENCY_PREFIX

    public static final String DEPENDENCY_PREFIX
    See Also:
      - Constant Field Values

  - ### FOLDER_PREFIX

    public static final String FOLDER_PREFIX
    See Also:
      - Constant Field Values

  - ### ATTACHMENT_PREFIX

    public static final String ATTACHMENT_PREFIX
    See Also:
      - Constant Field Values

  - ### TEAM_PREFIX

    public static final String TEAM_PREFIX
    See Also:
      - Constant Field Values

  - ### DELIVERY_PREFIX

    public static final String DELIVERY_PREFIX
    See Also:
      - Constant Field Values

  - ### CUSTOM_CONFIGURATION_ROOT

    public static final String CUSTOM_CONFIGURATION_ROOT

  - ### CALENDAR_ROOT

    public static final String CALENDAR_ROOT

  - ### MAIL_CONFIGURATION_ROOT

    public static final String MAIL_CONFIGURATION_ROOT

  - ### RISK_PROFILE_CONFIGURATION_ROOT

    public static final String RISK_PROFILE_CONFIGURATION_ROOT

  - ### DELIVERIES_ROOT

    public static final String DELIVERIES_ROOT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getParentId

    public static String getParentId(String id)

  - ### isRoot

    public static boolean isRoot(String id)

  - ### releaseIdFrom

    public static String releaseIdFrom(String id)

  - ### triggerIdFrom

    public static String triggerIdFrom(String id)

  - ### deliveryIdFrom

    public static String deliveryIdFrom(String id)

  - ### phaseIdFrom

    public static String phaseIdFrom(String id)

  - ### taskIdFrom

    public static String taskIdFrom(String id)

  - ### isNullId

    public static boolean isNullId(String id)

  - ### isPlanItemId

    public static boolean isPlanItemId(String id)

  - ### isReleaseId

    public static boolean isReleaseId(String id)

  - ### isTriggerId

    public static boolean isTriggerId(String id)

  - ### isPhaseId

    public static boolean isPhaseId(String id)

  - ### isAttachmentId

    public static boolean isAttachmentId(String id)

  - ### isTaskId

    public static boolean isTaskId(String id)

  - ### isVariableId

    public static boolean isVariableId(String id)

  - ### isDependencyId

    public static boolean isDependencyId(String id)

  - ### isFolderId

    public static boolean isFolderId(String id)

  - ### isFacetId

    public static boolean isFacetId(String id)

  - ### isCustomConfigurationId

    public static boolean isCustomConfigurationId(String id)

  - ### isConfigurationId

    public static boolean isConfigurationId(String id)

  - ### isTeamId

    public static boolean isTeamId(String id)

  - ### isDomainId

    public static boolean isDomainId(String id)

  - ### isValueProviderId

    public static boolean isValueProviderId(String id)

  - ### isCalendarId

    public static boolean isCalendarId(String id)

  - ### isDeliveryId

    public static boolean isDeliveryId(String id)

  - ### isStageId

    public static boolean isStageId(String id)

  - ### isDashboardId

    public static boolean isDashboardId(String id)

  - ### isApplicationId

    public static boolean isApplicationId(String id)

  - ### isEnvironmentId

    public static boolean isEnvironmentId(String id)

  - ### isEnvironmentStageId

    public static boolean isEnvironmentStageId(String id)

  - ### isEnvironmentLabelId

    public static boolean isEnvironmentLabelId(String id)

  - ### isInFolder

    public static boolean isInFolder(String id)

  - ### isInRootFolder

    public static boolean isInRootFolder(String id)

  - ### hasReleaseId

    public static boolean hasReleaseId(String id)

  - ### isInRelease

    public static boolean isInRelease(String id)

  - ### findInAncestry

    public static String findInAncestry(String id, String prefix)

  - ### getName

    public static String getName(String id)
    Given Application/Release01/Phase01, returns Phase01

  - ### getReleaselessChildId

    public static String getReleaselessChildId(String childId)

  - ### getFolderlessId

    public static String getFolderlessId(String id)

  - ### relativePathFrom

    public static String relativePathFrom(String fromPath, String fullPath)

  - ### getFullTaskName

    public static String getFullTaskName(String id)

  - ### getTopLevelTaskId

    public static String getTopLevelTaskId(String id)

  - ### releasePathInRootFolder

    public static String releasePathInRootFolder(String releaseId)

  - ### findFolderId

    public static String findFolderId(String id)

  - ### findCommonParent

    public static String findCommonParent(String id1, String id2)

  - ### toDomainId

    public static String toDomainId(String id)

  - ### normalizeId

    public static String normalizeId(String id)

  - ### formatWithFolderId

    public static String formatWithFolderId(String folderId, String containerId)

  - ### releaseActorId

    public static String releaseActorId(String releaseId)